# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import wizard
import pooler
from tools.translate import _

def _create_lab_test(obj, cr, uid, data, context):
    pool = pooler.get_pool(cr.dbname)
    test_request_obj = pool.get('medical.patient.lab.test')
    lab_obj = pool.get('medical.lab')

    test_report_data={}
    test_cases = []
    test_obj = test_request_obj.browse(cr, uid, [data['id']], context=context)[0]
    if test_obj.state == 'tested':
        raise  wizard.except_wizard(_('UserError'),_('Test Report already created.'))
    test_report_data['test'] = test_obj.name.id
    test_report_data['patient'] = test_obj.patient_id.id
    test_report_data['requestor'] = test_obj.doctor_id.id
    test_report_data['date_requested'] = test_obj.date
    
    for critearea in test_obj.name.critearea:
        test_cases.append((0,0,{'name':critearea.name,
                                'sequence':critearea.sequence,
                                'normal_range':critearea.normal_range,
                                'units':critearea.units.id,
                                }))
    test_report_data['critearea'] = test_cases
    lab_id = lab_obj.create(cr,uid,test_report_data,context=context)
    test_request_obj.write(cr, uid, [data['id']], {'state':'tested'})
    return {
        'domain': "[('id','=', "+str(lab_id)+")]",
        'name': 'Test Report',
        'view_type': 'form',
        'view_mode': 'tree,form',
        'res_model': 'medical.lab',
        'type': 'ir.actions.act_window'
    }

class create_test_report(wizard.interface):
    states = {
        'init': {
            'actions': [],
            'result': {
                'type': 'action',
                'action': _create_lab_test,
                'state': 'end'
            }
        },
    }

create_test_report("patient.create_test_report")


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

