# coding=utf-8

#    Copyright (C) 2008-2010  Luis Falcon

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


from osv import fields, osv


class drugs_recreational (osv.osv):
	_name="medical.drugs_recreational"
	_columns = {
		'name': fields.char ('Name', size=128, help="Name of the drug"),
		'street_name': fields.char ('Street names', size=256, help="Common name of the drug in street jargon"),
		'toxicity' : fields.selection([
                                ('0','None'),
                                ('1','Low'),
                                ('2','High'),
                                ('3','Extreme'),
                                ], 'Toxicity', select=True),		
		'addiction_level' : fields.selection([
                                ('0','None'),
                                ('1','Low'),
                                ('2','High'),
                                ('3','Extreme'),
                                ], 'Addiction Level', select=True),		
		'legal_status' : fields.selection([
                                ('0','Legal'),
                                ('1','Illegal'),
                                ], 'Legal Status', select=True),

		'info' : fields.text ('Extra Info'),
		}

drugs_recreational ()



# lifestyle section

class medical_patient (osv.osv):
	_name = "medical.patient"
	_inherit = "medical.patient"
	_columns = {

		'excercise' : fields.boolean ('Excersise'),
		'excercise_minutes_day' : fields.integer ('Minutes / day'),
		'number_of_meals' : fields.integer ('Meals per day'),
		'eats_alone' : fields.boolean ('Eats alone',help="Check this box if the patient eats by him / herself."),
		'salt' : fields.boolean ('Salt',help="Check if patient consumes salt with the food"),
		'coffee' : fields.boolean ('Coffee'),
		'coffee_cups' : fields.integer ('Cups per day',help="Number of cup of coffee a day"),
		'soft_drinks' : fields.boolean ('Soft drinks (sugar)',help="Check if the patient consumes soft drinks with sugar"),
		'smoking' : fields.boolean ('Smokes'),
		'smoking_number' : fields.integer ('Cigarretes a day'),
		'ex_smoker' : fields.boolean ('Ex-smoker'),
		'second_hand_smoker' : fields.boolean ('Passive smoker', help="Check it the patient is a passive / second-hand smoker"),
		'age_start_smoking' : fields.integer ('Age started to smoke'),
		'alcohol' : fields.boolean ('Drinks Alcohol'),
		'alcohol_beer_number' : fields.integer ('Beer / day'),
		'alcohol_wine_number' : fields.integer ('Wine / day'),
		'alcohol_liquor_number' : fields.integer ('Liquor / day'),
		'drug_usage' : fields.boolean ('Drug Habits'),
		'drugs' : fields.many2many ('medical.drugs_recreational','patient_drugs_recreational_rel','patient_id','drugs_recreational_id','Drugs', help="Name of drugs that the patient consumes"),  
		'lifestyle_info' :fields.text ('Extra Information'),


		'sexual_preferences' : fields.selection([
                                ('h','Heterosexual'),
                                ('g','Homosexual'),
				('b','Bisexual'),
				('t','Transexual'),
                                ], 'Sexual Preferences'),

		'sexual_practices' : fields.selection([
                                ('s','Safe / Protected sex'),
                                ('r','Risky / Unprotected sex'),
				], 'Sexual Practices'),

		'sexual_partners': fields.selection([
				('m','Monogamous'),
				('t','Poligamous'),
                                ], 'Sexual Partners'),

		'first_sexual_encounter': fields.integer ('Age first sexual encounter'),

		'anticonceptive': fields.selection ([
			('0','None'),
			('1','Pill / Minipill'),
			('2','Male condom'),
			('3','Vasectomy'),
			('4','Female sterilisation'),
			('5','Intra-uterine device'),
			('6','Withdrawal method'),
			('7','Fertility cycle awareness'),
			('8','Contraceptive injection'),
			('9','Skin Patch'),
			('10','Female condom'),
			], 'Anticonceptive Method'),

	}

medical_patient ()


